HANDLE_SIMPLE_IRQ(9)

NAME
handle_simple_irq - Simple and software-decoded IRQs.

SYNOPSIS

void handle_simple_irq(unsigned int irq, struct irq_desc * desc);

ARGUMENTS

irq
    the interrupt number

desc
    the interrupt description structure for this irq

DESCRIPTION

Simple interrupts are either sent from a demultiplexing interrupt handler or come from hardware, where no interrupt hardware control is necessary.

NOTE

The caller is expected to handle the ack, clear, mask and unmask issues if necessary.

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT